Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002393SOGo Connectorwith SOGopublic2013-08-15 08:582014-02-04 13:43
ReporterMichelR 
Assigned Toludovic 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version24.0.4 
Summary0002393: handle periodic sync
DescriptionSogo Connector for Thunderbird v17.0.5

Sogo Connector should handle periodic sync. Otherwise, it's up to users to manually perform sync.
And better, it should be defined independently for each remote AB.
TagsNo tags attached.
Attached Filesdiff file icon periodic_sync_1_michelr.diff [^] (33,030 bytes) 2013-08-15 08:59 [Show Content]
png file icon Remote Address Book Properties_049.png [^] (46,850 bytes) 2013-08-15 09:00


diff file icon periodic_sync_2_michelr.diff [^] (41,239 bytes) 2013-08-18 14:46 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0005897)
MichelR (reporter)
2013-08-15 09:09

I worked on this feature and here are the results :
- periodic sync is handled,
- it's defined for each remote AddressBook
- notifications are also handled (it solves the bug 0002328 http://www.sogo.nu/bugs/view.php?id=2328 [^])
- a user request was to show notifications for some events : I added some special events for notifications (startup, manual sync, periodic sync, write)

You can see a screenshot of all options available in attached file.

What remains to be done :
- l10n of notification text : I don't know in which xul file I should store the stringbundle (as it is an async behavior)
User avatar (0005900)
ludovic (administrator)
2013-08-16 08:36

Can you fix the string bundle issue, do also the French translation and resubmit a patch?
(0005903)
MichelR (reporter)
2013-08-18 14:49

I added a new version of patch ("periodic_sync_2_michelr.diff")
- handles the translations of notifications (it works, but I don't know if it's the right way to do it : I had to insert the '.properties' file in two xul files)

- added some constants for special events for notifications
(0006379)
Yannik (reporter)
2014-01-04 15:03

This is a great feature! Thanks MichelR!
(0006488)
Pi3R1k (reporter)
2014-02-04 12:03

Great feature. I use it in prod since 3 months and it work great. Why not pushed it upstream yet ?

Thanks for your work MichelR
User avatar (0006489)
ludovic (administrator)
2014-02-04 12:07

We'll integrate it for the upcoming SOGo 2.2 release.
User avatar (0006490)
ludovic (administrator)
2014-02-04 13:43

https://github.com/inverse-inc/sogo-connector.tb24/commit/9bd4c5b7359a6c8a5edd5ee47a1b8170eb8a1fe5 [^]

- Issue History
Date Modified Username Field Change
2013-08-15 08:58 MichelR New Issue
2013-08-15 08:59 MichelR File Added: periodic_sync_1_michelr.diff
2013-08-15 09:00 MichelR File Added: Remote Address Book Properties_049.png
2013-08-15 09:09 MichelR Note Added: 0005897
2013-08-16 08:36 ludovic Note Added: 0005900
2013-08-18 14:46 MichelR File Added: periodic_sync_2_michelr.diff
2013-08-18 14:49 MichelR Note Added: 0005903
2013-09-17 15:37 jraby Status new => assigned
2013-09-17 15:37 jraby Assigned To => jraby
2014-01-04 15:03 Yannik Note Added: 0006379
2014-02-04 12:03 Pi3R1k Note Added: 0006488
2014-02-04 12:07 ludovic Assigned To jraby => ludovic
2014-02-04 12:07 ludovic Note Added: 0006489
2014-02-04 13:43 ludovic Note Added: 0006490
2014-02-04 13:43 ludovic Status assigned => closed
2014-02-04 13:43 ludovic Resolution open => fixed
2014-02-04 13:43 ludovic Fixed in Version => 24.0.4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker